<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();   
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}

$permisos = str_split($sesion->get('permiso'));
if (!in_array("A", $permisos) && !in_array("M", $permisos) && !in_array("E", $permisos)) {
    $rta = array('error' => 10001, 'desc' => "No tiene permisos");
    echo json_encode($rta);
    exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

if (isset($_POST['oper'])) {
    $acction = $_POST['oper'];
    $codigo = $academia->escapar($_POST['gr']); //codigo del regidtro
    $cds = explode("|", $codigo);
    $wh = implode(", ", $cds);
    switch ($acction) {
        case 'fn': # fnaliza grupos
            $sql = "UPDATE aca_grupos SET  finalizado = '1' WHERE cod_grupo IN (" . $wh . ")";
            break;
        case 'ac';
            $sql = "UPDATE aca_grupos SET  finalizado = '0' WHERE cod_grupo IN (" . $wh . ")";
            break;
        default:
            $sql = "";
    }

    if ($sql != '') {
        $academia->instruccion($sql);
        $rta = array('error' => $academia->extraer_error());
        $rta['sql'] = $sql;
        echo json_encode($rta);
    }
}
$academia->cerrar();
?>